%global momorel 5
%global src_name hdf4_handler

Summary:         HDF4 data handler for the OPeNDAP Data server
Name:            dap-hdf4_handler
Version:         3.8.1
Release:         %{momorel}m%{?dist}
License:         LGPL
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/%{src_name}-%{version}.tar.gz
NoSource:        0
URL:             http://www.opendap.org/
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   bes-devel >= 3.8.4
BuildRequires:   libdap-devel >= 3.10.2
BuildRequires:   hdf-devel
BuildRequires:   libjpeg-devel >= 8a
#Requires:       dap-server

%description
This is the hdf4 data handler for our data server. It reads HDF4 and HDF-EOS
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.

%prep 
%setup -q -n %{src_name}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++98"

%configure --disable-dependency-tracking --disable-static

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL="install -p"

find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT_URI NEWS README
%config(noreplace) %{_sysconfdir}/bes/modules/h4.conf
%{_libdir}/bes/libhdf4_module.so
%{_datadir}/hyrax/data/hdf4

%changelog
* Fri Jun  2 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.8.1-5m)
- fix build by gcc7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.1-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.1-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.8.1-2m)
- full rebuild for mo7 release

* Sat Jul 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.8.1-1m)
- rebuild against libdap-3.10.2 and bes-3.8.4
- update to 3.8.1

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-7m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.7.9-5m)
- rebuild against libjpeg-7

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-4m)
- run autoreconf -fi

* Fri May  8 2009 YAMAZAKI Makoto <zaki@zakky.org>
- (3.7.9-3m)
- put source tar ball into repository.

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.9-1m)
- update to 3.7.9
- rebuild against libdap-3.8.2
- rebuild against bes-3.6.2

* Sun Jun 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.8-1m)
- update to 3.7.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7.7-2m)
- rebuild against gcc43

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.7.7-1m)
- update to 3.7.7

* Sat Jan  5 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.7.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Jun  7 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.7.2-1m)
- import from Fedora

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-4
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-2
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-2
- update to 3.7.1
- remove upstreamed patch

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-3
- BuildRequires libdap-devel above 3.6.0

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-2
- add patch for gcc 4.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- Update to 3.6.0

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
